Retrieve an agent
curl --request GET \
--url https://app.useduckie.ai/api/v1/agents/{agent_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"last_run_at": "2023-11-07T05:31:56Z",
"start_with": {
"type": "<string>",
"id": "<string>",
"name": "<string>"
},
"instructions": "<string>",
"model_config": {},
"tool_ids": [
"<string>"
],
"resolution_tracking": true,
"resolution_rule_ids": [
"<string>"
],
"knowledge_tags": [
"<string>"
],
"guideline_ids": [
"<string>"
],
"guardrail_ids": [
"<string>"
],
"attribute_ids": [
"<string>"
],
"category_ids": [
"<string>"
],
"included_runbook_ids": [
"<string>"
],
"excluded_runbook_ids": [
"<string>"
],
"included_workflow_ids": [
"<string>"
],
"excluded_workflow_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Agents
Retrieve an agent
GET
https://app.useduckie.ai
/
api
/
v1
/
agents
/
{agent_id}
Retrieve an agent
curl --request GET \
--url https://app.useduckie.ai/api/v1/agents/{agent_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"last_run_at": "2023-11-07T05:31:56Z",
"start_with": {
"type": "<string>",
"id": "<string>",
"name": "<string>"
},
"instructions": "<string>",
"model_config": {},
"tool_ids": [
"<string>"
],
"resolution_tracking": true,
"resolution_rule_ids": [
"<string>"
],
"knowledge_tags": [
"<string>"
],
"guideline_ids": [
"<string>"
],
"guardrail_ids": [
"<string>"
],
"attribute_ids": [
"<string>"
],
"category_ids": [
"<string>"
],
"included_runbook_ids": [
"<string>"
],
"excluded_runbook_ids": [
"<string>"
],
"included_workflow_ids": [
"<string>"
],
"excluded_workflow_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}⌘I